Bug 75783 - logresolve: error loading shared libraries
Summary: logresolve: error loading shared libraries
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-12 10:41 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 22:40:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-12 10:41:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. logresolve < /var/log/httpd/access_log

	

Actual Results:  logresolve: error while loading shared libraries: libdb-
3.3.so: cannot open shared object file: No such file or directory

Expected Results:  Should resolve the IP address into hostname for the log file.

Additional info:

The "logresolve" command requires "db3" and "mm" packages to run, but these 
packages are not included in RedHat 8.0.

Comment 1 Joe Orton 2002-10-14 09:57:48 UTC
What logresolve binary is that? /usr/bin/logresolve in httpd-2.0.40 is linked
against db4 and not mm. If you have a logresolve binary left over from an
upgrade from 7.3, try the /usr/bin/logresolve from 8.0.


Comment 2 Joe Orton 2004-01-05 22:40:17 UTC
No reproduction case known for this bug.


Note You need to log in before you can comment on or make changes to this bug.